#include <iostream>
#include <algorithm>


using namespace std;
int druzeljubivosti[100001];
int parovi[200000];
int main()
{
	long n, m, i;
	cin >> n >> m;

	for (i = 0; i < n; i++)
	{
		cin >> druzeljubivosti[i];
	}

	for (i = 0; i < 2 * m; i++)
	{
		cin >> parovi[i];
	}

	sort(parovi, parovi + m * 2);
	long poznanici[300000];
	long indx = 0;
	long brojac = 1;
	for (i = 0; i < (m * 2) - 1; i++)
	{
		if (parovi[i + 1] == parovi[i])
		{
			brojac++;
		}

		else
		{
			poznanici[indx] = brojac;
			indx++;
			brojac = 1;
		}
		if (i == (m * 2) - 2)
		{
			poznanici[indx] = brojac;
			indx++;
		}


	}
	long sreca = 0;
	for ( i = 0; i < indx; i++)
	{
		sreca += indx;
	}

	cout << sreca << endl;


	return 0;
}